package com.yxproject.start.entity.prod;

import javax.persistence.*;
import java.sql.Time;
import java.util.Objects;

@Entity
@Table(name = "PROD_TRACE_T", schema = "PROD_DBA", catalog = "")
public class ProdTraceTEntity {
    private String accept_No;
    private String photoer_No;
    private Time photo_Date;
    private String export_No;
    private Time export_Date;
    private String download_No;
    private Time download_Date;
    private String electric_Writer_No;
    private Time electric_Write_Date;
    private String checker_No;
    private Time check_Date;
    private String mover_No;
    private Time move_Date;

    @Id
    @Column(name = "ACCEPT_NO", nullable = false, length = 12)
    public String getAccept_No() {
        return accept_No;
    }

    public void setAccept_No(String accept_No) {
        this.accept_No = accept_No;
    }

    @Basic
    @Column(name = "PHOTOER_NO", nullable = true, length = 8)
    public String getPhotoer_No() {
        return photoer_No;
    }

    public void setPhotoer_No(String photoer_No) {
        this.photoer_No = photoer_No;
    }

    @Basic
    @Column(name = "PHOTO_DATE", nullable = true)
    public Time getPhoto_Date() {
        return photo_Date;
    }

    public void setPhoto_Date(Time photo_Date) {
        this.photo_Date = photo_Date;
    }

    @Basic
    @Column(name = "EXPORT_NO", nullable = true, length = 8)
    public String getExport_No() {
        return export_No;
    }

    public void setExport_No(String export_No) {
        this.export_No = export_No;
    }

    @Basic
    @Column(name = "EXPORT_DATE", nullable = true)
    public Time getExport_Date() {
        return export_Date;
    }

    public void setExport_Date(Time export_Date) {
        this.export_Date = export_Date;
    }

    @Basic
    @Column(name = "DOWNLOAD_NO", nullable = true, length = 8)
    public String getDownload_No() {
        return download_No;
    }

    public void setDownload_No(String download_No) {
        this.download_No = download_No;
    }

    @Basic
    @Column(name = "DOWNLOAD_DATE", nullable = true)
    public Time getDownload_Date() {
        return download_Date;
    }

    public void setDownload_Date(Time download_Date) {
        this.download_Date = download_Date;
    }

    @Basic
    @Column(name = "ELECTRIC_WRITER_NO", nullable = true, length = 8)
    public String getElectric_Writer_No() {
        return electric_Writer_No;
    }

    public void setElectric_Writer_No(String electric_Writer_No) {
        this.electric_Writer_No = electric_Writer_No;
    }

    @Basic
    @Column(name = "ELECTRIC_WRITE_DATE", nullable = true)
    public Time getElectric_Write_Date() {
        return electric_Write_Date;
    }

    public void setElectric_Write_Date(Time electric_Write_Date) {
        this.electric_Write_Date = electric_Write_Date;
    }

    @Basic
    @Column(name = "CHECKER_NO", nullable = true, length = 8)
    public String getChecker_No() {
        return checker_No;
    }

    public void setChecker_No(String checker_No) {
        this.checker_No = checker_No;
    }

    @Basic
    @Column(name = "CHECK_DATE", nullable = true)
    public Time getCheck_Date() {
        return check_Date;
    }

    public void setCheck_Date(Time check_Date) {
        this.check_Date = check_Date;
    }

    @Basic
    @Column(name = "MOVER_NO", nullable = true, length = 8)
    public String getMover_No() {
        return mover_No;
    }

    public void setMover_No(String mover_No) {
        this.mover_No = mover_No;
    }

    @Basic
    @Column(name = "MOVE_DATE", nullable = true)
    public Time getMove_Date() {
        return move_Date;
    }

    public void setMove_Date(Time move_Date) {
        this.move_Date = move_Date;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        ProdTraceTEntity that = (ProdTraceTEntity) o;
        return Objects.equals(accept_No, that.accept_No) &&
                Objects.equals(photoer_No, that.photoer_No) &&
                Objects.equals(photo_Date, that.photo_Date) &&
                Objects.equals(export_No, that.export_No) &&
                Objects.equals(export_Date, that.export_Date) &&
                Objects.equals(download_No, that.download_No) &&
                Objects.equals(download_Date, that.download_Date) &&
                Objects.equals(electric_Writer_No, that.electric_Writer_No) &&
                Objects.equals(electric_Write_Date, that.electric_Write_Date) &&
                Objects.equals(checker_No, that.checker_No) &&
                Objects.equals(check_Date, that.check_Date) &&
                Objects.equals(mover_No, that.mover_No) &&
                Objects.equals(move_Date, that.move_Date);
    }

    @Override
    public int hashCode() {
        return Objects.hash(accept_No, photoer_No, photo_Date, export_No, export_Date, download_No, download_Date, electric_Writer_No, electric_Write_Date, checker_No, check_Date, mover_No, move_Date);
    }
}
